/*
Navicat MySQL Data Transfer

Source Server         : MySQL_local
Source Server Version : 50614
Source Host           : localhost:3306
Source Database       : test

Target Server Type    : MYSQL
Target Server Version : 50614
File Encoding         : 65001

Date: 2019-07-01 07:47:34
*/

SET FOREIGN_KEY_CHECKS=0;

-- ----------------------------
-- Table structure for dataset_info
-- ----------------------------
DROP TABLE IF EXISTS `dataset_info`;
CREATE TABLE `dataset_info` (
  `dataset_local_id` int(11) DEFAULT NULL,
  `max_out_degree` int(11) DEFAULT NULL,
  `max_in_degree` int(11) DEFAULT NULL,
  `label_size` int(11) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_bin;

-- ----------------------------
-- Records of dataset_info
-- ----------------------------
INSERT INTO `dataset_info` VALUES ('0', '5', '3', '14');

-- ----------------------------
-- Table structure for mrrs
-- ----------------------------
DROP TABLE IF EXISTS `mrrs`;
CREATE TABLE `mrrs` (
  `subgraph` varchar(255) COLLATE utf8mb4_bin DEFAULT NULL,
  `id` int(11) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_bin;

-- ----------------------------
-- Records of mrrs
-- ----------------------------

-- ----------------------------
-- Table structure for original
-- ----------------------------
DROP TABLE IF EXISTS `original`;
CREATE TABLE `original` (
  `subject` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin DEFAULT NULL,
  `predicate` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin DEFAULT NULL,
  `object` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin DEFAULT NULL,
  `triple_id` int(11) NOT NULL,
  PRIMARY KEY (`triple_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_bin;

-- ----------------------------
-- Records of original
-- ----------------------------
INSERT INTO `original` VALUES ('Berlin', 'neighboringCity', 'Dresden', '0');
INSERT INTO `original` VALUES ('Berlin', 'locatedIn', 'Germany', '1');
INSERT INTO `original` VALUES ('Berlin', 'capitalOf', 'Germany', '2');
INSERT INTO `original` VALUES ('Germany', 'isPartOf', 'CentralEurope', '3');
INSERT INTO `original` VALUES ('Munich', 'locatedIn', 'Germany', '4');
INSERT INTO `original` VALUES ('Munich', 'neighboringCity', 'Augsburg', '5');
INSERT INTO `original` VALUES ('Berlin', 'type', 'Capital', '6');
INSERT INTO `original` VALUES ('Berlin', 'type', 'City', '7');
INSERT INTO `original` VALUES ('Germany', 'type', 'Country', '8');
INSERT INTO `original` VALUES ('Munich', 'type', 'City', '9');
INSERT INTO `original` VALUES ('Augsburg', 'type', 'City', '10');

-- ----------------------------
-- Table structure for snippet_result
-- ----------------------------
DROP TABLE IF EXISTS `snippet_result`;
CREATE TABLE `snippet_result` (
  `dataset_id` int(11) DEFAULT NULL,
  `keyword` varchar(255) DEFAULT NULL,
  `snippet` varchar(255) CHARACTER SET utf8 COLLATE utf8_bin DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- ----------------------------
-- Records of snippet_result
-- ----------------------------
INSERT INTO `snippet_result` VALUES ('0', 'munich europe', '7,8,3,9,12,4,10,0;7 8 3,9 12 4,9 10 0');
INSERT INTO `snippet_result` VALUES ('0', 'munich europe', '7,8,3,9,1;7 8 3,9 7 1');
INSERT INTO `snippet_result` VALUES ('0', null, '5,12,4,7,1,13;5 12 4,5 7 1,7 13 4');

-- ----------------------------
-- Table structure for triple
-- ----------------------------
DROP TABLE IF EXISTS `triple`;
CREATE TABLE `triple` (
  `subject` int(11) DEFAULT NULL,
  `predicate` int(11) DEFAULT NULL,
  `object` int(11) DEFAULT NULL,
  `triple_id` int(11) NOT NULL,
  PRIMARY KEY (`triple_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- ----------------------------
-- Records of triple
-- ----------------------------
INSERT INTO `triple` VALUES ('5', '0', '6', '0');
INSERT INTO `triple` VALUES ('5', '1', '7', '1');
INSERT INTO `triple` VALUES ('5', '2', '7', '2');
INSERT INTO `triple` VALUES ('7', '3', '8', '3');
INSERT INTO `triple` VALUES ('9', '1', '7', '4');
INSERT INTO `triple` VALUES ('9', '0', '10', '5');
INSERT INTO `triple` VALUES ('5', '4', '11', '6');
INSERT INTO `triple` VALUES ('5', '4', '12', '7');
INSERT INTO `triple` VALUES ('7', '4', '13', '8');
INSERT INTO `triple` VALUES ('9', '4', '12', '9');
INSERT INTO `triple` VALUES ('10', '4', '12', '10');

-- ----------------------------
-- Table structure for uri_label_id
-- ----------------------------
DROP TABLE IF EXISTS `uri_label_id`;
CREATE TABLE `uri_label_id` (
  `is_literal` tinyint(1) DEFAULT NULL,
  `uri` varchar(800) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin DEFAULT NULL,
  `label` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NOT NULL,
  `id` int(11) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `id` (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- ----------------------------
-- Records of uri_label_id
-- ----------------------------
INSERT INTO `uri_label_id` VALUES (null, 'neighboringCity', 'neighboringCity', '0');
INSERT INTO `uri_label_id` VALUES (null, 'locatedIn', 'locatedIn', '1');
INSERT INTO `uri_label_id` VALUES (null, 'capitalOf', 'capitalOf', '2');
INSERT INTO `uri_label_id` VALUES (null, 'isPartOf', 'isPartOf', '3');
INSERT INTO `uri_label_id` VALUES (null, 'type', 'type', '4');
INSERT INTO `uri_label_id` VALUES (null, 'Berlin', 'Berlin', '5');
INSERT INTO `uri_label_id` VALUES (null, 'Dresden', 'Dresden', '6');
INSERT INTO `uri_label_id` VALUES (null, 'Germany', 'Germany', '7');
INSERT INTO `uri_label_id` VALUES (null, 'CentralEurope', 'CentralEurope', '8');
INSERT INTO `uri_label_id` VALUES (null, 'Munich', 'Munich', '9');
INSERT INTO `uri_label_id` VALUES (null, 'Augsburg', 'Augsburg', '10');
INSERT INTO `uri_label_id` VALUES (null, 'Capital', 'Capital', '11');
INSERT INTO `uri_label_id` VALUES (null, 'City', 'City', '12');
INSERT INTO `uri_label_id` VALUES (null, 'Country', 'Country', '13');
